/*
 * @Author: WuXiangNan
 * @Date: 2021-05-27 10:03:20
 * @LastEditors: WuXiangNan
 * @LastEditTime: 2021-06-02 10:23:27
 * @Description: 当日数据来源
 */

class Source {
  int? hfwEventsCount;
  int? adminEventsCount;
  int? hgjEventsCount;
  int? centreEventsCount;

  Source(
      {this.adminEventsCount,
      this.centreEventsCount,
      this.hfwEventsCount,
      this.hgjEventsCount});

  Source.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});
    adminEventsCount = map['adminEventsCount'];
    centreEventsCount = map['centreEventsCount'];
    hfwEventsCount = map['hfwEventsCount'];
    hgjEventsCount = map['hgjEventsCount'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();
    json['adminEventsCount'] = this.adminEventsCount;
    json['centreEventsCount'] = this.centreEventsCount;
    json['hfwEventsCount'] = this.hfwEventsCount;
    json['hgjEventsCount'] = this.hgjEventsCount;

    return json;
  }
}
